// --------------------------------------------------------------------
// Projet POBOT Carte CNP.                                          ---
// Declarations Code VT52 pour la CarteCNP. Version 1.0.            ---
//                                                                  ---
// Cr le 27 Janvier 2006 par Spinelli Gilles.                    ---
// --------------------------------------------------------------------

// --------------------------------------------------
// ----- Constantes sur le Code VT52						-----
// --------------------------------------------------

// --- Dclaration des Valeurs ASCII Spciales ---
#define MUTERM_ESC      27  				// Escape
#define MUTERM_LF       10  				// Line Feed
#define MUTERM_LF2      11  
#define MUTERM_LF3      12  
#define MUTERM_CR       13  				// Carriage Return
#define MUTERM_TAB      9   				// Tabulation
#define MUTERM_BS       8   				// BackSpace

// --- Trames de Commandes pour HyperTerminal (utilise par Terminal-V1.c) ---
#define	CLEAR_SCREEN		"\033[2J"				// Clear Screen
#define	CLEAR_LINE			"\033[K"				// Cleat Line
#define	CURSOR_POSITION	"\033[01;01H"		// Position Curseur

// -- Dclaration de Gestion Position Curseur en VT52 ---
#define MT_UP       		"\033A" 		// Move 1 Line UP
#define MT_DW       		"\033B" 		// Move 1 Line Down
#define MT_RT       		"\033C" 		// Move 1 Colunm Right
#define MT_LT       		"\033D" 		// Move 1 Colunm Left
#define MT_HOME     		"\033H" 		// Move Top/Left Corner
#define MT_UPS      		"\033I" 		
#define MT_POS(X,Y) 		"\033Y"Y##X // Macro : Set Column (Y) / Line (X) Position.

// -- Dclaration de Gestion Ecrans en VT52 ---
#define MT_CLS      		"\033E" 		// Clear Screen, Cursor go Home
#define MT_CLRHOME  		"\033d" 		// Clear from Cursor to Home
#define MT_CLREND   		"\033J" 		// Clear from Cursor to End
#define MT_CLREOL   		"\033K" 		// Clear from Cursor to End Of Line
#define MT_CLRLINE  		"\033l" 		// Clear Line
#define MT_CLRBOL   		"\033o" 		// Clear form Cursor to Start of Line
#define MT_INSLINE  		"\033L" 		// Insert a Line
#define MT_DELLINE  		"\033M" 		// Delete Line

// -- Dclaration de Gestion Couleur en VT52 ---
#define MT_FGCOL(C)   	"\033b"C		// Setting cursor, background, text, video inverse and more color stuff.
#define MT_BKCOL(C)   	"\033c"C		
#define MT_INVVIDEO   	"\033p"			
#define MT_NORMVIDEO  	"\033q"			
#define MT_BLACK      	"\00"
#define MT_LGREY      	"\01"
#define MT_MGREY      	"\02"
#define MT_WHITE      	"\03"
#define MT_LYELLOW    	"\04"
#define MT_LRED       	"\05"
#define MT_MRED       	"\06"
#define MT_HRED       	"\07"
#define MT_MYELLOW    	"\010"
#define MT_LGREEN     	"\011"
#define MT_MGREEN     	"\012"
#define MT_HGREEN     	"\013"
#define MT_HYELLOW    	"\014"
#define MT_LBLUE      	"\015"
#define MT_MBLUE      	"\016"
#define MT_HBLUE      	"\017"
 
// -- Dclaration de Manipulation du Curseur en VT52 --
#define MT_CURSON   		"\033e"				// Show Cursor 
#define MT_CURSOFF  		"\033f" 			// Hide Cursor
#define MT_CURSAVE   		"\033j" 			// Save Current Cursor Position
#define MT_CURREST   		"\033k" 			// Restore Current Cursor Position
#define MT_WRAPON     	"\033v" 			// Enable Line Wrapping
#define MT_WRAPOFF    	"\033w" 			// Disable Line Wrapping
